.SUFFIXES: .tar.gz .c

VER=0
REL=1

TARGET=system_handler
PACKAGE_NAME=$(TARGET)

SOURCES = $(TARGET) handle_button database_process

MAKEDEPEND = $(CC) -M -MG $(CPPFLAGS) -o $*.d $<

LINUX_INPUT_H := $(shell for i in `echo | $(CC) $(CPPFLAGS) -M -E -include 'linux/input.h' -`; do test -f "$$i" && echo "$$i" && break; done)

all: ${TARGET}

${TARGET}: $(SOURCES:%=%.o)
	$(CC) $(CFLAGS) $(SOURCES:%=%.o) ${LDFLAGS} -o $@

evtable_%.h: $(LINUX_INPUT_H)
	awk '/^#define $*_/ && $$2 !~ /_(MAX|CNT|VERSION)$$/ {print "EV_MAP("$$2"),"}' $< > $@

clean:
	@rm -f *.d
	@rm -f *.o
	@rm -f evtable_*.h
	@rm -f $(TARGET)
	@find . -type f -name ".*" -delete
	@rm -fr ipkg-omap

%.d : %.c
	$(MAKEDEPEND)

-include $(SOURCES:%=%.d)
